NSX-T Data Center REST API

Read the metrics metadata for all health metrics API (Experimental)

Request:

Method:
GET
URI Path(s):
/api/v1/systemhealth-extended/metadata
Request Headers:
n/a
Query Parameters:
HealthMetadataParameters+
Request Body:
n/a

Example Request:

GET https://<nsx-mgr>/api/v1/systemhealth-extended/metadata

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
MetricsAPIMetadataList+

Example Response:

{ "results": [ { "http_method": "GET", "api_path": "/systemhealth-extended/management-nodes", "metrics_metadata": [ { "metric_name": "hardware.usage.stats.cpu", "metric_description": "nsx-manager CPU usage, which is collected in each core, its UNIT is percentage", "metric_data_type": "FLOAT", "metric_value_type": "HISTOGRAM", "metric_instanced": true, "non_sha_metric": false }, { "metric_name": "nsx-manager.jvm_metric.process_cpu_usage", "metric_description": "nsx-manager jvm cpu usage.", "metric_data_type": "FLOAT", "metric_value_type": "HISTOGRAM", "metric_instanced": false, "non_sha_metric": false } ] }, { "http_method": "GET", "api_path": "/systemhealth-extended/management-nodes//services/", "metrics_metadata": [ { "metric_name": "nsx-manager.jvm_metric.process_cpu_usage", "metric_description": "nsx-manager jvm cpu usage.", "metric_data_type": "FLOAT", "metric_value_type": "HISTOGRAM", "metric_instanced": false, "non_sha_metric": false } ] }, { "http_method": "GET", "api_path": "/systemhealth-extended/management-cluster", "metrics_metadata": [] } ] }

Required Permissions:

read

Feature:

cluster_management

Additional Errors: